{
    "fields": [
        {
            "doc": "Coordinates can be specified to indicate the part of the chromosome affected",
            "name": "coordinates",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "name": "assembly",
                            "type": {
                                "doc": "The reference genome assembly",
                                "name": "Assembly",
                                "symbols": [
                                    "GRCh38",
                                    "GRCh37"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "name": "chromosome",
                            "type": "string"
                        },
                        {
                            "name": "start",
                            "type": "int"
                        },
                        {
                            "name": "end",
                            "type": "int"
                        },
                        {
                            "name": "ciStart",
                            "type": [
                                "null",
                                {
                                    "fields": [
                                        {
                                            "name": "left",
                                            "type": "int"
                                        },
                                        {
                                            "name": "right",
                                            "type": "int"
                                        }
                                    ],
                                    "name": "ConfidenceInterval",
                                    "type": "record"
                                }
                            ]
                        },
                        {
                            "name": "ciEnd",
                            "type": [
                                "null",
                                "ConfidenceInterval"
                            ]
                        }
                    ],
                    "name": "Coordinates",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "indicates whether the UPD event involves `isodisomy`, `heterodisomy` or `both`",
            "name": "uniparentalDisomyType",
            "type": {
                "name": "UniparentalDisomyType",
                "symbols": [
                    "isodisomy",
                    "heterodisomy",
                    "both"
                ],
                "type": "enum"
            }
        }
    ],
    "name": "UniparentalDisomyFragment",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}